<?php

namespace App\Helpers;

use App\Models\User;
use Carbon\Carbon;

class Helper
{
    public static function check_session_count($userCurrent)
    {
        try {
            $lastLogin = Carbon::parse($userCurrent->last_login);
            if (!$lastLogin->isToday()) {
                $userChange = User::findOrFail($userCurrent->id);
                $userChange->update([
                    'logins_count' =>  $userChange->logins_count + 1,
                    'last_login' => Carbon::now()
                ]);
            }
            return true;
        } catch (\Exception $e) {
            return false;
        }
    }
}
