<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreatePlayerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'email' => 'required|email|unique:users',
            'nombre_tienda' => 'nullable|max:400|string',
            'direccion' => 'nullable|string',
            'nombre_completo' => 'required|max:400|string',
            'localidad' => 'nullable|max:400|string',
            'estado' => 'nullable|max:400|string',
            'ciudad' => 'nullable|max:400|string',
            'file_id' => 'nullable|integer|exists:files,id',
            'role' => 'required|string',
            'identificador' => 'required|string|unique:participantes,identificador'
        ];
    }

    public $validator = null;
    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        $this->validator = $validator;
    }
}
