<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HistorialRecompensas extends Model
{
    use HasFactory;

    protected $fillable = [
        'fecha_entrega',
        'participante_id',
        'nivel_id',
        'user_id',
        'estatus'
    ];

    /**
     * obtiene el participante al que pertenece
     */
    public function participante()
    {
        return $this->belongsTo(Participante::class, 'participante_id', 'id');
    }

    /**
     * obtiene el nivel reto al que pertenece
     */
    public function nivel_reto()
    {
        return $this->belongsTo(NivelReto::class, 'nivel_id', 'id');
    }
}