<?php

namespace App\Repositories;

use App\Dto\RecompensaDto;
use App\Interfaces\RecompensaInterface;
use App\Models\Recompensa;

class RecompensaRepository implements RecompensaInterface
{

    public function allRecompensas(){
        $recompensas = Recompensa::with('files')->get();
        return $recompensas;
    }

    public function allRecompensasActive()
    {
        $recompensas = Recompensa::with('files')->where("estatus", true)->get();
        return $recompensas;
    }

    public function findRecompensa($idRecompensa){
        $recompensa = Recompensa::find($idRecompensa);
        return $recompensa;
    }

    public function detailRecompensa(string $idRecompensa){
        $recompensa = Recompensa::with('files')->where("id", $idRecompensa)->first();
        return $recompensa;
    }

    public function createRecompensa(RecompensaDto $recompensaDto){
        $newItem = Recompensa::create([
            "nombre" => $recompensaDto->nombre,
            "descripcion_premio" => $recompensaDto->descripcionPremio,
            'meta_canje' => $recompensaDto->metaCanje,
            'file_id' => $recompensaDto->fileId
        ]);
        return $newItem;
    }

    public function updateRecompensa(RecompensaDto $recompensaDto, int $idRecompensa){
        $recompensaFind = Recompensa::findOrFail($idRecompensa);
        $recompensaFind->update([
            "nombre" => $recompensaDto->nombre,
            "descripcion_premio" => $recompensaDto->descripcionPremio,
            "meta_canje" => $recompensaDto->metaCanje,
            "estatus" => $recompensaDto->estatus,
            'file_id' => $recompensaDto->fileId
        ]);
        return $recompensaFind;
    }

    public function deleteRecompensa(int $idRecompensa){
        $recompensaFind = Recompensa::findOrfail($idRecompensa);
        $recompensaFind->delete();
    }
}
