<?php

namespace App\Services;

use App\Mail\InvitacionPersona;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;

class EmailService
{
    public function SendEmailInvitacionParticipante($details)
    {
        try {
            Mail::to($details['email'])->send(new InvitacionPersona($details));
            return true;
        } catch (\Exception $e) {
            Log::error('Error al enviar el correo de invitación al participante: ' . $e->getMessage(), ['exception' => $e]);
            return false;
        }
    }

    public function SendEmailCanjeApprove($details)
    {
        try {
            Mail::to($details['email'])->send(new \App\Mail\NotificacionAprobadoCanje($details));
            return true;
        } catch (\Exception $e) {
            Log::error('Error al enviar el correo al participante que se aprobo el canje: ' . $e->getMessage(), ['exception' => $e]);
            return false;
        }
    }

    public function SendEmailRecompensaApprove($details)
    {
        try {
            Mail::to($details['email'])->send(new \App\Mail\NotificacionEntregaRecompensa($details));
            return true;
        } catch (\Exception $e) {
            Log::error('Error al enviar el correo al participante que se aprobo la recompensa por insignia: ' . $e->getMessage(), ['exception' => $e]);
            return false;
        }
    }
}
