<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateParticipantesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('participantes', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nombre_tienda', 400)->nullable();
            $table->mediumText('direccion')->nullable();
            $table->string('nombre_completo', 400);
            $table->string('localidad', 400)->nullable();
            $table->string('estado', 400)->nullable();
            $table->string('ciudad', 400)->nullable();
            $table->boolean('estatus')->default(1);
            $table->boolean('notificacion')->default(1);
            $table->timestamps();

            //relacion a la tabla file
            $table->integer('file_id')->nullable()->unsigned();
            $table->foreign('file_id')
                ->references('id')
                ->on('files')->nullOnDelete();

            $table->integer('user_id')->unsigned();
            //relacion a la tabla usuarios
            $table->foreign('user_id')
                ->references('id')
                ->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('participantes');
    }
}
