<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRelationRecompensaToInsignias extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('insignias', function (Blueprint $table) {
            //relacion a la tabla recompensa
            $table->integer('recompensa_id')->nullable()->unsigned();
            $table->foreign('recompensa_id')
                ->references('id')
                ->on('recompensas')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('insignias', function (Blueprint $table) {
            $table->dropForeign(['recompensa_id']);
            $table->dropColumn('recompensa_id');
        });
    }
}
