<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCanjesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('canjes', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('puntos_canjeados');
            $table->mediumText("numero_canje");
            $table->string('proceso_estatus')->default('pendiente');
            $table->dateTime('fecha_canje')->nullable();
            $table->timestamps();
            
            $table->integer('participante_id')->unsigned();
            //relacion a la tabla participantes
            $table->foreign('participante_id')
                ->references('id')
                ->on('participantes')->cascadeOnDelete();
            //relacion a la tabla recompensa
            $table->integer('recompensa_id')->unsigned();
            $table->foreign('recompensa_id')
                ->references('id')
                ->on('recompensas')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('canjes');
    }
}
