<?php

namespace Tests\Unit;

use App\Mail\InvitacionPersona;
use App\Services\EmailService;
use Illuminate\Support\Facades\Mail;
use Tests\TestCase;

class MailServiceTest extends TestCase
{
    /** @test */
    public function it_sends_email_invitacion_persona()
    {
        Mail::fake();
        $mailService = new EmailService();
        $details = [
            'nombre_completo' => "Juan Perez Perez",
            'password' => "123456",
            'url' => "https:www.google.com",
            "email" => "aldairreyess04@gmail.com"
        ];
        $mailService->SendEmailInvitacionParticipante($details);
        
        // Verificar si se envió un correo a la dirección correcta
        Mail::assertSent(InvitacionPersona::class, function ($mail) use ($details) {
            return $mail->to[0]['address'] === $details['email'];
        });
    }
}
